@viewport {
    zoom: 1.25;
}
html body {
    margin: 0px;
    padding: 0px;
    height: 100%;
    font-family: 'Open Sans', sans-serif;
    font-size: 14px;
    background-color: white;
    overflow: hidden;
    position: fixed;
    width: 100vw;
}
*:focus:not(button) {
	outline: none;
}
#user {
    margin: 0px;
    padding: 0px;
    height: 29px;
    line-height: 29px;
    padding-left: 15px;
}
#menu-panel {
    margin: 0px;
    padding: 0px;
    height: 29px;
    line-height: 29px;
    padding-left: 15px;
    position: relative;
}
#hyper {
    height: calc(100vh - 195px);
    background-color: white;
    overflow: hidden;
}
#tools {
    padding-left: 20px;
    height: 48px;
    text-transform: uppercase;
    background-color: #fff;
}
#frame {
    height: calc(100% - 48px);
}
.link {
    text-decoration: none;
    cursor: pointer;
    padding-left: 7px;
    padding-right: 7px;
    border-radius: 6px;
}
.link:hover {
    background-color: lightgray;
    text-shadow: 1px 1px 1px #ffffffaa;
    /* text-decoration: underline; */
}
.link2 {
    text-decoration: none;
    cursor: pointer;
    padding-left: 7px;
    padding-right: 7px;
}
.link2:hover {
    text-decoration: underline;
}
.upper {
    text-transform: uppercase;
}
.back-green {
    color: white;
    background-color: #1a8cff;
}
.back-gray {
    color: black;
    background-color: #efefef;    
}
.pad-left-20 {
    padding-left: 20px;
}
.pad-left-5 {
    padding-left: 5px;
}
.pad-right-0 {
    padding-right: 0px;
}
.margin-render-notice {
    position: relative;
    top: 5px;
    left: 20px;
}
.mini-green {
    margin: 0px 5px 0px 0px;
    padding: 0px;
    position: relative;
    top: -3px;
    display: inline-block;
    height: 11px;
    width: 18px;
    text-align: center;
    text-decoration: none;
    color: white;
    background-color: #1a8cff;
    font-size: 9px;
    font-weight: bold;
    line-height: 11px;
    border-radius: 1px;
    font-family: monospace;
}
.boxmenu-bottom-tr {
    height: 20px;
}
.boxmenu-bottom-td {
    /* border-top: 1px solid black; */
    text-align: center;
}
.boxmenu-bottom-text {
    color: white;
    background-color: #aaa;
    border-radius: 20px;
    padding-left: 7px;
    padding-right: 7px;
    font-size: 12px;
    line-height: 16px;
    height: 16px;
    position: relative;
    top: 0px;
    display: inline-block;
}
.button_type_1 {
    -moz-box-shadow: inset 0px 1px 0px 0px #fff;
    -webkit-box-shadow: inset 0px 1px 0px 0px #fff;
    box-shadow: inset 0px 1px 0px 0px #fff;
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0.05, #ededed), color-stop(1, #dfdfdf));
    background: -moz-linear-gradient(top, #ededed 5%, #dfdfdf 100%);
    background: -webkit-linear-gradient(top, #ededed 5%, #dfdfdf 100%);
    background: -o-linear-gradient(top, #ededed 5%, #dfdfdf 100%);
    background: -ms-linear-gradient(top, #ededed 5%, #dfdfdf 100%);
    background: linear-gradient(to bottom, #ededed 5%, #dfdfdf 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ededed', endColorstr='#dfdfdf',GradientType=0);
    background-color: #ededed;
    -webkit-border-radius: 6px;
    -moz-border-radius: 6px;
    border-radius: 6px;
    border: 1px solid #dcdcdc;
    display: inline-block;
    cursor: pointer;
    text-decoration: none;
    text-shadow: 0px 1px 0px #eee;
}
.button_type_1:hover {
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0.05, #dfdfdf), color-stop(1, #ededed));
    background: -moz-linear-gradient(top, #dfdfdf 5%, #ededed 100%);
    background: -webkit-linear-gradient(top, #dfdfdf 5%, #ededed 100%);
    background: -o-linear-gradient(top, #dfdfdf 5%, #ededed 100%);
    background: -ms-linear-gradient(top, #dfdfdf 5%, #ededed 100%);
    background: linear-gradient(to bottom, #dfdfdf 5%, #ededed 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#dfdfdf', endColorstr='#ededed',GradientType=0);
    background-color: #dfdfdf;
}
.button_type_1:active {
    position: relative;
    top: 1px;
}
.bigtap {
    height: 96px;
    background-color: #ddd;
    border-radius: 15px;
    text-align: center;
    padding: 6px;
    cursor: pointer;
    outline: none;
}
.bigtap:active {
    background-color: #1a8cff;
    color: white;
}

::selection {
    background: #1a8cff;
    color: white;
}

::-webkit-scrollbar {
    background: whitesmoke;
}

::-webkit-scrollbar-thumb {
    background: gainsboro; 
}

input[type="checkbox"] {
    height: 14px;
    width: 14px;
    -webkit-appearance: none;
    -moz-appearance: none;
    -o-appearance: none;
    appearance: none;
    border: 2px solid #1a8cff;
    border-radius: 4px;
    outline: none;
    transition-duration: 0.1s;
    background-color: transparent;
    cursor: pointer;
  }

input[type="checkbox"]:checked {
    border: 2px solid #b3d9ff;
    background-color: #ff3377;
}

input[type="checkbox"]:active {
    border: 2px solid #1a8cff;
}